Ask / Submit
0

Jolla Store: cloudmarks 0.7.1 does not update [answered]

asked 2015-10-05 09:10:49 +0300

cy8aer gravatar image

updated 2015-10-05 13:38:08 +0300

I am not able to update cloudmarks 0.7.1: Problems with store: cloudmarks is up to date. But I have 0.6.1 installed... In the events page the new possible update is shown too.

[update] I cannot wipe off the update event from events page.

edit retag flag offensive reopen delete

The question has been closed for the following reason "the question is answered, an answer was accepted" by raketti
close date 2015-10-05 17:13:41.963140

Comments

Same here, either it's a general problem in Harbour (I don't have any other updates, so can't tell), or there's something wrong with the package itself.

raketti ( 2015-10-05 09:14:47 +0300 )edit
1

Just for testing I installed other packages which worked fine.

cy8aer ( 2015-10-05 10:11:57 +0300 )edit

So it seems that there's a problem/error with the package itself. And, no, updates can't be dismissed from the Events view.

raketti ( 2015-10-05 13:42:16 +0300 )edit

Yes, the package changed architecture from arm to noarch. There was a know bug related to this, which should have been fixed in Sailfish OS 1.1.9.28, but apparently it was not. We are investigating the situation.

Keto ( 2015-10-05 14:35:04 +0300 )edit

Sorry for the trouble. I have tested upgrading from command line and operepos and had no problems.I wanted to change the architecture as there was no plaztform-dependent code in my app...

hwesselmann ( 2015-10-09 23:57:57 +0300 )edit

1 Answer

Sort by » oldest newest most voted
2

answered 2015-10-05 14:58:35 +0300

Keto gravatar image

The problem is that packagekit does not correctly handle the rpm architecture change when comparing package versions. We already have a fix for that, but unfortunately it did not land in Sailfish OS 1.1.9.28 and it will be only included in the next release.

If you have developer mode enabled you can manually install the latest version in terminal by downloading the package with

pkcon download ./ harbour-cloudmarks

Choose the 0.7.1-1 version when prompted and then install the downloaded package with

devel-su pkcon install-local harbour-cloudmarks-0.7.1-1.noarch.rpm
edit flag offensive delete publish link more

Comments

Yes upgrade worked though the store itself did not catch it. Waiting for SFOS2 then. Thank you. [update] needed some time to catch it. Store is ok.

cy8aer ( 2015-10-05 16:10:20 +0300 )edit

Nice to know, thanks for the info. :)

raketti ( 2015-10-05 17:14:02 +0300 )edit

Question tools

Follow
1 follower

Stats

Asked: 2015-10-05 09:10:49 +0300

Seen: 160 times

Last updated: Oct 05 '15